Index: trunk/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComDataCU.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComDataCU.h	(revision 1196)
@@ -72,5 +72,5 @@
   PartSize    eVirtualPartSize;
   UInt        uiVirtualPartIndex;
-} DBBPTmpData;
+} DbbpTmpData;
 #endif
 
@@ -110,12 +110,7 @@
   // -------------------------------------------------------------------------------------------------------------------
   Bool*         m_skipFlag;           ///< array of skip flags
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Bool*         m_bDISFlag;         
   UInt*         m_uiDISType;
-#else
-#if H_3D_SINGLE_DEPTH
-  Bool*         m_singleDepthFlag;           ///< array of single depth flags
-  Pel*          m_apSingleDepthValue;
-#endif
 #endif
   Char*         m_pePartSize;         ///< array of partition sizes
@@ -178,10 +173,8 @@
 #endif
 #if H_3D_VSP
-  Char*         m_piVSPFlag;          ///< array of VSP flags to indicate whehter a block uses VSP or not
-                                      ///< 0: non-VSP; 1: VSP
+  Char*         m_piVSPFlag;          ///< array of VSP flags to indicate whehter a block uses VSP or not  ///< 0: non-VSP; 1: VSP
 #endif
 #if H_3D_SPIVMP
-  Bool*         m_pbSPIVMPFlag;       ///< array of sub-PU IVMP flags to indicate whehter a block uses sub-PU IVMP
-                                      ///< 0: non-SPIVMP; 1: SPIVMP
+  Bool*         m_pbSPIVMPFlag;       ///< array of sub-PU IVMP flags to indicate whehter a block uses sub-PU IVMP ///< 0: non-SPIVMP; 1: SPIVMP
 #endif
 #if H_3D_ARP
@@ -199,10 +192,10 @@
   Bool*         m_pbSDCFlag;
   Pel*          m_apSegmentDCOffset[2];
-  Pel          m_apDmmPredictor[2];
+  Pel           m_apDmmPredictor[2];
 #endif
 #endif
 #if H_3D_DBBP
   Bool*         m_pbDBBPFlag;        ///< array of DBBP flags
-  DBBPTmpData   m_sDBBPTmpData;
+  DbbpTmpData   m_sDBBPTmpData;
 #endif
 #if H_3D
@@ -252,6 +245,5 @@
   Bool          xGetColMVP( RefPicList eRefPicList, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int& riRefIdx 
 #if H_3D_TMVP
-  ,
-  Bool bMRG = true
+  ,  Bool bMRG = true
 #endif
   );
@@ -350,5 +342,5 @@
   Void         setSkipFlag           ( UInt idx, Bool skip)     { m_skipFlag[idx] = skip;   }
   Void         setSkipFlagSubParts   ( Bool skip, UInt absPartIdx, UInt depth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Bool*        getDISFlag            ()                         { return m_bDISFlag;          }
   Bool         getDISFlag            ( UInt idx)                { return m_bDISFlag[idx];     }
@@ -360,16 +352,4 @@
   Void         getDISType            ( UInt idx, UInt uiDISType)     { m_uiDISType[idx] = uiDISType;   }
   Void         setDISTypeSubParts    ( UInt uiDISType, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  Bool*        getSingleDepthFlag            ()                        { return m_singleDepthFlag;          }
-  Bool         getSingleDepthFlag            (UInt idx)                { return m_singleDepthFlag[idx];     }
-  Void         setSingleDepthFlag           ( UInt idx, Bool singleDepth)     { m_singleDepthFlag[idx] = singleDepth;   }
-  Void         setSingleDepthFlagSubParts   ( Bool singleDepth, UInt absPartIdx, UInt depth );
-
-  Pel*         getSingleDepthValue( ) { return m_apSingleDepthValue; }
-  Pel          getSingleDepthValue            (UInt idx)                { return m_apSingleDepthValue[idx];     }
-  Void         setSingleDepthValue           ( UInt idx, Pel pDepthValue)     { m_apSingleDepthValue[idx] = pDepthValue;   }
-  Void         setSingleDepthValueSubParts   (Pel singleDepthValue, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth );
-#endif  
 #endif
   Char*         getPredictionMode     ()                        { return m_pePredMode;        }
@@ -385,5 +365,5 @@
   Void          setDBBPFlag           ( UInt uiIdx, Bool b )    { m_pbDBBPFlag[uiIdx] = b;           }
   Void          setDBBPFlagSubParts   ( Bool bDBBPFlag, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth );
-  DBBPTmpData*  getDBBPTmpData        () { return &m_sDBBPTmpData; }
+  DbbpTmpData*  getDBBPTmpData        () { return &m_sDBBPTmpData; }
 #endif
   
@@ -506,9 +486,5 @@
   );
   Bool          xGetColDisMV      ( Int currCandPic, RefPicList eRefPicList, Int refidx, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int & iTargetViewIdx, Int & iStartViewIdx );
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   Void          getDisMvpCandNBDV ( DisInfo* pDInfo
-#else
-  Bool          getDisMvpCandNBDV ( DisInfo* pDInfo
-#endif
 #if H_3D_NBDV_REF
    , Bool bDepthRefine = false
@@ -517,17 +493,8 @@
    
 #if H_3D
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   Void          getDispforDepth  ( UInt uiPartIdx, UInt uiPartAddr, DisInfo* cDisp);
-#else
-  Bool          getDispforDepth  ( UInt uiPartIdx, UInt uiPartAddr, DisInfo* cDisp);
-#endif
   Bool          getDispMvPredCan(UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDis, Int* iPdm );
-#endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+
    Bool          getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index);
-#else
-#if H_3D_SINGLE_DEPTH
-   Bool          getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index);
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -625,6 +592,6 @@
   
   Void          clipMv                ( TComMv&     rcMv     );
-#if SONY_MV_V_CONST_C0078
-  Void          checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx );
+#if H_MV
+  Void          checkMvVertRest (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx );
 #endif
   Void          getMvPredLeft         ( TComMv&     rcMvPred )   { rcMvPred = m_cMvFieldA.getMv(); }
Index: trunk/source/Lib/TLibCommon/TComMotionInfo.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 1196)
@@ -335,7 +335,5 @@
   Int iStartPelY = g_auiRasterToPelY[g_auiZscanToRaster[uiAbsPartIdx]];
   Int iEndPelX = iStartPelX + iWidth;
-  Int iEndPelY = iStartPelY + iHeight;
-
-  Int iCurrRaster, uiPartAddr;
+  Int iEndPelY = iStartPelY + iHeight;  
 
   for (Int i=iStartPelY; i<iEndPelY; i+=pcCU->getPic()->getMinCUHeight())
@@ -343,6 +341,6 @@
     for (Int j=iStartPelX; j < iEndPelX; j += pcCU->getPic()->getMinCUWidth())
     {
-      iCurrRaster = i / pcCU->getPic()->getMinCUHeight() * pcCU->getPic()->getNumPartInWidth() + j/pcCU->getPic()->getMinCUWidth();
-      uiPartAddr = g_auiRasterToZscan[iCurrRaster];
+      Int iCurrRaster = i / pcCU->getPic()->getMinCUHeight() * pcCU->getPic()->getNumPartInWidth() + j/pcCU->getPic()->getMinCUWidth();
+      Int uiPartAddr = g_auiRasterToZscan[iCurrRaster];
       uiPartAddr -= pcCU->getZorderIdxInCU();  
 
Index: trunk/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1196)
@@ -63,7 +63,4 @@
 typedef struct _DisCand 
 {
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  Bool bDV;
-#endif
   TComMv m_acNBDV;              // DV from NBDV
 #if H_3D_NBDV_REF 
Index: trunk/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1196)
@@ -54,5 +54,7 @@
   m_pDepthBlock = (Int*) malloc(MAX_NUM_SPU_W*MAX_NUM_SPU_W*sizeof(Int));
   if (m_pDepthBlock == NULL)
+  {
       printf("ERROR: UKTGHU, No memory allocated.\n");
+  }
 #endif
 }
@@ -62,5 +64,7 @@
 #if H_3D_VSP
   if (m_pDepthBlock != NULL)
-      free(m_pDepthBlock);
+  {
+    free(m_pDepthBlock);
+  }
   m_cYuvDepthOnVsp.destroy();
 #endif
@@ -513,5 +517,9 @@
 
 #if H_3D_DIM_DMM
-  if( dimType == DMM4_IDX && dmm4Segmentation == NULL ) { dmmSegmentation->destroy(); delete dmmSegmentation; }
+  if( dimType == DMM4_IDX && dmm4Segmentation == NULL )
+  { 
+    dmmSegmentation->destroy(); 
+    delete dmmSegmentation; 
+  }
 #endif
 }
@@ -630,18 +638,13 @@
 
 #if H_3D_DBBP
-#if HS_DBBP_CLEAN_K0048
 PartSize TComPrediction::getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize, TComDataCU*& pcCU)
-#else
-PartSize TComPrediction::getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize)
-#endif
 {
   // find virtual partitioning for this CU based on depth block
   // segmentation of texture block --> mask IDs
   Pel*  pDepthBlockStart      = pDepthPels;
-  
+
   // first compute average of depth block for thresholding
   Int iSumDepth = 0;
   Int iSubSample = 4;
-#if HS_DBBP_CLEAN_K0048
   Int iPictureWidth = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getWidth();
   Int iPictureHeight = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getHeight();
@@ -653,51 +656,41 @@
   Int iBlkX = ( pcCU->getAddr() % pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getFrameWidthInCU() ) * g_uiMaxCUWidth  + g_auiRasterToPelX[ g_auiZscanToRaster[ pcCU->getZorderIdxInCU() ] ]+ ((cDv.getHor()+2)>>2);
   Int iBlkY = ( pcCU->getAddr() / pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getFrameWidthInCU() ) * g_uiMaxCUHeight + g_auiRasterToPelY[ g_auiZscanToRaster[ pcCU->getZorderIdxInCU() ] ]+ ((cDv.getVer()+2)>>2);
+  
   UInt t=0;
 
   for (Int y=0; y<uiSize; y+=iSubSample)
-   {
+  {
     for (Int x=0; x<uiSize; x+=iSubSample)
-   {
-if (iBlkX+x>iPictureWidth)
-{
-    Int depthPel = pDepthPels[t];
-    iSumDepth += depthPel;
-} 
-else
-{
-    Int depthPel = pDepthPels[x];
-    t=x;
-    iSumDepth += depthPel;
-}
-   }
-    
+    {
+      if (iBlkX+x>iPictureWidth)
+      {
+        Int depthPel = pDepthPels[t];
+        iSumDepth += depthPel;
+      } 
+      else
+      {
+        Int depthPel = pDepthPels[x];
+        t=x;
+        iSumDepth += depthPel;
+      }
+    }
+
     // next row
     if (!(iBlkY+y+4>iPictureHeight))
-    pDepthPels += uiDepthStride*iSubSample;
-#else
-  for (Int y=0; y<uiSize; y+=iSubSample)
-  {
-    for (Int x=0; x<uiSize; x+=iSubSample)
-    {
-      Int depthPel = pDepthPels[x];
-      
-      iSumDepth += depthPel;
-    }
-    
-    // next row
-    pDepthPels += uiDepthStride*iSubSample;
-#endif
-  }
-  
+    {
+      pDepthPels += uiDepthStride*iSubSample;
+    }
+  }
+
   Int iSizeInBits = g_aucConvertToBit[uiSize] - g_aucConvertToBit[iSubSample];  // respect sub-sampling factor
   Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiSize*uiSize);
-  
+
   // start again for segmentation
   pDepthPels = pDepthBlockStart;
-  
+
   // start mapping process
   Int matchedPartSum[2][2] = {{0,0},{0,0}}; // counter for each part size and boolean option
   PartSize virtualPartSizes[2] = { SIZE_Nx2N, SIZE_2NxN};
-  
+
   UInt uiHalfSize = uiSize>>1;
   for (Int y=0; y<uiSize; y+=iSubSample)
@@ -705,24 +698,20 @@
     for (Int x=0; x<uiSize; x+=iSubSample)
     {
-#if HS_DBBP_CLEAN_K0048
       Int depthPel = 0;
-if (iBlkX+x>iPictureWidth)
-{
-    depthPel = pDepthPels[t];
-}
-else
-{ 
-    depthPel = pDepthPels[x];
-     t=x;
-}
-#else
-      Int depthPel = pDepthPels[x];
-#endif
-      
+      if (iBlkX+x>iPictureWidth)
+      {
+        depthPel = pDepthPels[t];
+      }
+      else
+      { 
+        depthPel = pDepthPels[x];
+        t=x;
+      }
+
       // decide which segment this pixel belongs to
       Int ucSegment = (Int)(depthPel>iMean);
-      
+
       // Matched Filter to find optimal (conventional) partitioning
-      
+
       // SIZE_Nx2N
       if(x<uiHalfSize)  // left
@@ -734,5 +723,5 @@
         matchedPartSum[0][1-ucSegment]++;
       }
-      
+
       // SIZE_2NxN
       if(y<uiHalfSize)  // top
@@ -745,14 +734,14 @@
       }
     }
-    
+
     // next row
-#if HS_DBBP_CLEAN_K0048
     if (!(iBlkY+y+4>iPictureHeight))
-#endif
-    pDepthPels += uiDepthStride*iSubSample;
-  }
-  
+    {
+      pDepthPels += uiDepthStride*iSubSample;
+    }
+  }
+
   PartSize matchedPartSize = SIZE_NONE;
-  
+
   Int iMaxMatchSum = 0;
   for(Int p=0; p<2; p++)  // loop over partition
@@ -767,15 +756,11 @@
     }
   }
-  
+
   AOF( matchedPartSize != SIZE_NONE );
-  
+
   return matchedPartSize;
 }
 
-#if HS_DBBP_CLEAN_K0048
 Bool TComPrediction::getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask, TComDataCU*& pcCU)
-#else
-Bool TComPrediction::getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask )
-#endif
 {
   // segmentation of texture block --> mask IDs
@@ -786,9 +771,8 @@
   Int uiMinDepth = MAX_INT;
   Int uiMaxDepth = 0;
-#if HS_DBBP_CLEAN_K0048
   uiMinDepth = pDepthPels[ 0 ];
   uiMaxDepth = pDepthPels[ 0 ];
   iSumDepth  = pDepthPels[ 0 ];
-  UInt t=0;
+  
   Int iPictureWidth = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getWidth();
   Int iPictureHeight = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getHeight();  
@@ -848,20 +832,4 @@
     uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
   }
-#else
-  iSumDepth  = pDepthPels[ 0 ];
-  iSumDepth += pDepthPels[ uiWidth - 1 ];
-  iSumDepth += pDepthPels[ uiDepthStride * (uiHeight - 1) ];
-  iSumDepth += pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ];
-
-  uiMinDepth = pDepthPels[ 0 ];
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiWidth - 1 ]);
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) ]);
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
-
-  uiMaxDepth = pDepthPels[ 0 ];
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiWidth - 1 ]);
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) ]);
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
-#endif
 
   // don't generate mask for blocks with small depth range (encoder decision)
@@ -880,4 +848,5 @@
 
   // generate mask
+  UInt t=0;
   UInt uiSumPix[2] = {0,0};
   for (Int y=0; y<uiHeight; y++)
@@ -885,5 +854,4 @@
     for (Int x=0; x<uiHeight; x++)
     {
-#if HS_DBBP_CLEAN_K0048
       Int depthPel = 0;
       if (iBlkX+x>iPictureWidth)
@@ -896,7 +864,4 @@
         t=x;
       }
-#else
-      Int depthPel = pDepthPels[x];
-#endif
 
       // decide which segment this pixel belongs to
@@ -916,7 +881,5 @@
 
     // next row
-#if HS_DBBP_CLEAN_K0048
     if (!(iBlkY+y+1>iPictureHeight))
-#endif
       pDepthPels += uiDepthStride;
     pMask += MAX_CU_SIZE;
@@ -1003,5 +966,9 @@
   }
 
-  if ( tmpTar    ) { xFree(tmpTar);             tmpTar        = NULL; }
+  if ( tmpTar    ) 
+  { 
+    xFree(tmpTar);             
+    tmpTar        = NULL; 
+  }
   
   // now combine chroma
@@ -1106,6 +1073,14 @@
   }
 
-  if ( tmpTarU    ) { xFree(tmpTarU);             tmpTarU        = NULL; }
-  if ( tmpTarV    ) { xFree(tmpTarV);             tmpTarV        = NULL; }
+  if( tmpTarU )
+  {
+    xFree(tmpTarU);
+    tmpTarU        = NULL;
+  }
+  if ( tmpTarV    ) 
+  {
+    xFree(tmpTarV);
+    tmpTarV        = NULL; 
+  }
 }
 #endif
@@ -1293,6 +1268,6 @@
   TComMv      cMv         = pcCU->getCUMvField( eRefPicList )->getMv( uiPartAddr );
   pcCU->clipMv(cMv);
-#if SONY_MV_V_CONST_C0078
-  pcCU->checkMV_V(cMv, eRefPicList, iRefIdx );
+#if H_MV
+  pcCU->checkMvVertRest(cMv, eRefPicList, iRefIdx );
 #endif
 #if H_3D_ARP
@@ -1393,28 +1368,11 @@
 #if H_3D_NBDV
   DisInfo cDistparity;
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   cDistparity.m_acNBDV = pcCU->getDvInfo(0).m_acNBDV;
   cDistparity.m_aVIdxCan = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
 #else
-  cDistparity.bDV           = pcCU->getDvInfo(uiPartAddr).bDV;
-  if( cDistparity.bDV )
-  {
-    cDistparity.m_acNBDV = pcCU->getDvInfo(0).m_acNBDV;
-    assert(pcCU->getDvInfo(uiPartAddr).bDV ==  pcCU->getDvInfo(0).bDV);
-    cDistparity.m_aVIdxCan = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
-  }
-#endif
-#else
   assert(0); // ARP can be applied only when a DV is available
 #endif
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   UChar dW = pcCU->getARPW ( uiPartAddr );
-#else
-  UChar dW = cDistparity.bDV ? pcCU->getARPW ( uiPartAddr ) : 0;
-#endif
-
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  if( cDistparity.bDV ) 
-#endif
+
   {
     Int arpRefIdx = pcCU->getSlice()->getFirstTRefIdx(eRefPicList);
@@ -1468,7 +1426,4 @@
       pYuvB0->clear(); pYuvB1->clear();
     }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-    assert ( cDistparity.bDV );
-#endif    
     TComMv cNBDV = cDistparity.m_acNBDV;
     pcCU->clipMv( cNBDV );
@@ -2438,6 +2393,12 @@
     for( UInt k = 0; k < (patternStride * patternStride); k++ )
     {
-      if( true == biSegPattern[k] ) { ptrDst[k] = valDC2; }
-      else                          { ptrDst[k] = valDC1; }
+      if( true == biSegPattern[k] )
+      { 
+        ptrDst[k] = valDC2; 
+      }
+      else                          
+      { 
+        ptrDst[k] = valDC1; 
+      }
     }
   }
@@ -2449,6 +2410,12 @@
       for( UInt uiX = 0; uiX < patternStride; uiX++ )
       {
-        if( true == biSegPattern[uiX] ) { piTemp[uiX] = valDC2; }
-        else                            { piTemp[uiX] = valDC1; }
+        if( true == biSegPattern[uiX] ) 
+        { 
+          piTemp[uiX] = valDC2; 
+        }
+        else                            
+        { 
+          piTemp[uiX] = valDC1; 
+        }
       }
       piTemp       += dstStride;
@@ -2520,9 +2487,11 @@
   Int iSumPix[2];
   memset(iSumPix, 0, sizeof(Int)*2);
+
   for( Int i = 0; i < uiNumSegments; i++ )
   {
-    rpSegMeans[i] = 0;
-  }
-  if (orgDC == false)
+    rpSegMeans[i] = 0;  
+  }
+
+  if ( !orgDC )
   {
     Pel* pLeftTop = pOrig;
@@ -2544,4 +2513,5 @@
     subSamplePix = 1;
   }
+
   for (Int y=0; y<uiSize; y+=subSamplePix)
   {
@@ -2563,7 +2533,11 @@
   {
     if( iSumPix[ucSeg] > 0 )
+    {
       rpSegMeans[ucSeg] = iSumDepth[ucSeg] / iSumPix[ucSeg];
+    }
     else
+    {
       rpSegMeans[ucSeg] = 0;  // this happens for zero-segments
+    }
   }
 }
Index: trunk/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 1196)
@@ -121,7 +121,5 @@
   Void xPredInterUniSubPU        ( TComDataCU *cu, UInt uiPartAddr, Int iWidth, Int iHeight, RefPicList eRefPicList, TComYuv*& rpcYuvPred, Bool bi, Int widthSubPU=4, Int heightSubPU=4 );
 #endif
-
-  Void xWeightedAverage         ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, Int iRefIdx0, Int iRefIdx1, UInt uiPartAddr, Int iWidth, Int iHeight, TComYuv*& rpcYuvDst );
-  
+  Void xWeightedAverage         ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, Int iRefIdx0, Int iRefIdx1, UInt uiPartAddr, Int iWidth, Int iHeight, TComYuv*& rpcYuvDst );  
   Void xGetLLSPrediction ( TComPattern* pcPattern, Int* pSrc0, Int iSrcStride, Pel* pDst0, Int iDstStride, UInt uiWidth, UInt uiHeight, UInt uiExt0 );
 #if H_3D_IC
@@ -175,11 +173,6 @@
   
 #if H_3D_DBBP
-#if HS_DBBP_CLEAN_K0048
   PartSize      getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize, TComDataCU*& pcCU);
   Bool          getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask, TComDataCU*& pcCU);
-#else
-  PartSize      getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize);
-  Bool          getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask );
-#endif
   Void          combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr, UInt partSize );
 #endif
Index: trunk/source/Lib/TLibCommon/TComRdCost.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1196)
@@ -341,9 +341,5 @@
     else if( eDFunc >= DF_HADS && eDFunc <= DF_HADS16N )
     {
-#if !RWTH_DBBP_NO_SATD_K0028
-      rcDistParam.DistFunc = TComRdCost::xGetMaskedHADs;
-#else
       rcDistParam.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
     }
     else if( eDFunc >= DF_VSD && eDFunc <= DF_VSD16N )
@@ -445,9 +441,5 @@
   if( m_bUseMask )
   {
-#if !RWTH_DBBP_NO_SATD_K0028
-    rcDistParam.DistFunc = (bHADME)?TComRdCost::xGetMaskedHADs:TComRdCost::xGetMaskedSAD;
-#else
     rcDistParam.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
   }
 #endif
@@ -472,9 +464,5 @@
   if( m_bUseMask )
   {
-#if !RWTH_DBBP_NO_SATD_K0028
-    rcDP.DistFunc = (bHadamard)?TComRdCost::xGetMaskedHADs:TComRdCost::xGetMaskedSAD;
-#else
     rcDP.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
   }
 #endif
@@ -729,123 +717,4 @@
 }
 
-#if !RWTH_DBBP_NO_SATD_K0028
-UInt TComRdCost::xGetMaskedHADs( DistParam* pcDtParam )
-{
-  AOF(!pcDtParam->bApplyWeight);
-#if H_3D_IC
-  AOF(!pcDtParam->bUseIC);
-#endif
-  Pel* piOrg   = pcDtParam->pOrg;
-  Pel* piCur   = pcDtParam->pCur;
-  Int  iRows   = pcDtParam->iRows;
-  Int  iCols   = pcDtParam->iCols;
-  Int  iStrideCur = pcDtParam->iStrideCur;
-  Int  iStrideOrg = pcDtParam->iStrideOrg;
-  Int  iStep  = pcDtParam->iStep;
-  
-  Int  x, y;
-  
-  UInt uiSum = 0;
-  
-#if NS_HAD
-  if( ( ( iRows % 8 == 0) && (iCols % 8 == 0) && ( iRows == iCols ) ) || ( ( iRows % 8 == 0 ) && (iCols % 8 == 0) && !pcDtParam->bUseNSHAD ) )
-#else
-    if( ( iRows % 8 == 0) && (iCols % 8 == 0) )
-#endif
-    {
-      Int  iOffsetOrg = iStrideOrg<<3;
-      Int  iOffsetCur = iStrideCur<<3;
-      for ( y=0; y<iRows; y+= 8 )
-      {
-        for ( x=0; x<iCols; x+= 8 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs8x8( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-#if NS_HAD
-    else if ( ( iCols > 8 ) && ( iCols > iRows ) && pcDtParam->bUseNSHAD )
-    {
-      Int  iOffsetOrg = iStrideOrg<<2;
-      Int  iOffsetCur = iStrideCur<<2;
-      for ( y=0; y<iRows; y+= 4 )
-      {
-        for ( x=0; x<iCols; x+= 16 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs16x4( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else if ( ( iRows > 8 ) && ( iCols < iRows ) && pcDtParam->bUseNSHAD )
-    {
-      Int  iOffsetOrg = iStrideOrg<<4;
-      Int  iOffsetCur = iStrideCur<<4;
-      for ( y=0; y<iRows; y+= 16 )
-      {
-        for ( x=0; x<iCols; x+= 4 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs4x16( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-#endif
-    else if( ( iRows % 4 == 0) && (iCols % 4 == 0) )
-    {
-      Int  iOffsetOrg = iStrideOrg<<2;
-      Int  iOffsetCur = iStrideCur<<2;
-      
-      for ( y=0; y<iRows; y+= 4 )
-      {
-        for ( x=0; x<iCols; x+= 4 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs4x4( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else if( ( iRows % 2 == 0) && (iCols % 2 == 0) )
-    {
-      Int  iOffsetOrg = iStrideOrg<<1;
-      Int  iOffsetCur = iStrideCur<<1;
-      for ( y=0; y<iRows; y+=2 )
-      {
-        for ( x=0; x<iCols; x+=2 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs2x2( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else
-    {
-      assert(false);
-    }
-  
-  return uiSum >> DISTORTION_PRECISION_ADJUSTMENT(pcDtParam->bitDepth-8);
-}
-#endif
 
 UInt TComRdCost::xGetMaskedVSD( DistParam* pcDtParam )
@@ -2993,12 +2862,9 @@
 UInt TComRdCost::getVSDEstimate( Int dDM, Pel* pOrg, Int iOrgStride,  Pel* pVirRec, Pel* pVirOrg, Int iVirStride, Int x, Int y )
 {
-  Double dD;
-  Int iTemp;
-
-  dD = ( (Double) ( dDM >> DISTORTION_PRECISION_ADJUSTMENT( g_bitDepthY - 8 ) ) ) * m_dDisparityCoeff;
+  Double  dD = ( (Double) ( dDM >> DISTORTION_PRECISION_ADJUSTMENT( g_bitDepthY - 8 ) ) ) * m_dDisparityCoeff;
 
   Double dDepthWeight = ( pOrg[x] >=  ( (1<<(g_bitDepthY - 3)) + (1<<(g_bitDepthY - 2)) ) ? 4 : pOrg[x] > ((1<<g_bitDepthY) >> 4) ? (Float)(pOrg[x] - ((1<<g_bitDepthY) >> 4))/(Float)((1<<g_bitDepthY) >> 3) + 1 : 1.0 );
   Double dTemp = ( 0.5 * fabs(dD) * dDepthWeight * ( abs( (Int) pVirRec[ x+y*iVirStride ] - (Int) pVirRec[ x-1+y*iVirStride ] ) + abs( (Int) pVirRec[ x+y*iVirStride ] - (Int) pVirRec[ x+1+y*iVirStride ] ) ) );
-  iTemp = (Int) (((dTemp) < 0)? (Int)((dTemp) - 0.5) : (Int)((dTemp) + 0.5));
+  Int iTemp = (Int) (((dTemp) < 0)? (Int)((dTemp) - 0.5) : (Int)((dTemp) + 0.5));
 
   return (UInt) ( (iTemp*iTemp)>>1 );
Index: trunk/source/Lib/TLibCommon/TComRdCost.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRdCost.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComRdCost.h	(revision 1196)
@@ -320,7 +320,4 @@
   static UInt xGetMaskedSSE     ( DistParam* pcDtParam );
   static UInt xGetMaskedSAD     ( DistParam* pcDtParam );
-#if !RWTH_DBBP_NO_SATD_K0028
-  static UInt xGetMaskedHADs    ( DistParam* pcDtParam );
-#endif
   static UInt xGetMaskedVSD     ( DistParam* pcDtParam );
 #endif
Index: trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1196)
@@ -104,10 +104,16 @@
   if( !g_dmmWedgeLists.empty() ) 
   {
-    for( UInt ui = 0; ui < g_dmmWedgeLists.size(); ui++ ) { g_dmmWedgeLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeLists.size(); ui++ )
+    { 
+      g_dmmWedgeLists[ui].clear(); 
+    }
     g_dmmWedgeLists.clear();
   }
   if( !g_dmmWedgeRefLists.empty() )
   {
-    for( UInt ui = 0; ui < g_dmmWedgeRefLists.size(); ui++ ) { g_dmmWedgeRefLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeRefLists.size(); ui++ ) 
+    { 
+      g_dmmWedgeRefLists[ui].clear(); 
+    }
     g_dmmWedgeRefLists.clear();
   }
@@ -115,5 +121,8 @@
   if( !g_dmmWedgeNodeLists.empty() )
   {
-    for( UInt ui = 0; ui < g_dmmWedgeNodeLists.size(); ui++ ) { g_dmmWedgeNodeLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeNodeLists.size(); ui++ )
+    { 
+      g_dmmWedgeNodeLists[ui].clear(); 
+    }
     g_dmmWedgeNodeLists.clear();
   }
@@ -745,10 +754,5 @@
   assert( uiWidth == uiHeight );
 
-#if SHARP_DMM_CLEAN_K0042
   Int posStart = 0, posEnd = 0;
-#else
-  UChar    uhStartX = 0,    uhStartY = 0,    uhEndX = 0,    uhEndY = 0;
-  Int   iStepStartX = 0, iStepStartY = 0, iStepEndX = 0, iStepEndY = 0;
-#endif
 
   UInt uiBlockSize = 0;
@@ -762,27 +766,12 @@
   for( UInt uiOri = 0; uiOri < 6; uiOri++ )
   {
-#if !SHARP_DMM_CLEAN_K0042
-    // init the edge line parameters for each of the 6 wedgelet types
-    switch( uiOri )
-    {
-    case( 0 ): {  uhStartX = 0;               uhStartY = 0;               uhEndX = 0;               uhEndY = 0;               iStepStartX = +1; iStepStartY =  0; iStepEndX =  0; iStepEndY = +1; break; }
-    case( 1 ): {  uhStartX = (uiBlockSize-1); uhStartY = 0;               uhEndX = (uiBlockSize-1); uhEndY = 0;               iStepStartX =  0; iStepStartY = +1; iStepEndX = -1; iStepEndY =  0; break; }
-    case( 2 ): {  uhStartX = (uiBlockSize-1); uhStartY = (uiBlockSize-1); uhEndX = (uiBlockSize-1); uhEndY = (uiBlockSize-1); iStepStartX = -1; iStepStartY =  0; iStepEndX =  0; iStepEndY = -1; break; }
-    case( 3 ): {  uhStartX = 0;               uhStartY = (uiBlockSize-1); uhEndX = 0;               uhEndY = (uiBlockSize-1); iStepStartX =  0; iStepStartY = -1; iStepEndX = +1; iStepEndY =  0; break; }
-    case( 4 ): {  uhStartX = 0;               uhStartY = 0;               uhEndX = 0;               uhEndY = (uiBlockSize-1); iStepStartX = +1; iStepStartY =  0; iStepEndX = +1; iStepEndY =  0; break; }
-    case( 5 ): {  uhStartX = (uiBlockSize-1); uhStartY = 0;               uhEndX = 0;               uhEndY = 0;               iStepStartX =  0; iStepStartY = +1; iStepEndX =  0; iStepEndY = +1; break; }
-    }
-#endif
-
-#if SHARP_DMM_CLEAN_K0042
+
     posEnd = (Int) racWedgeList.size();
     if (uiOri == 0 || uiOri == 4)
     {
-#endif
     for( Int iK = 0; iK < uiBlockSize; iK += (uiWidth>=16 ?2:1))
     {
       for( Int iL = 0; iL < uiBlockSize; iL += ((uiWidth>=16 && uiOri<4)?2:1) )
       {
-#if SHARP_DMM_CLEAN_K0042
         Int xS = iK;
         Int yS = 0;
@@ -790,11 +779,7 @@
         Int yE = (uiOri == 0) ? iL : uiBlockSize - 1;
         cTempWedgelet.setWedgelet( xS, yS, xE, yE, uiOri, eWedgeRes, ((iL%2)==0 && (iK%2)==0) );
-#else
-        cTempWedgelet.setWedgelet( uhStartX + (iK*iStepStartX) , uhStartY + (iK*iStepStartY), uhEndX + (iL*iStepEndX), uhEndY + (iL*iStepEndY), (UChar)uiOri, eWedgeRes, ((iL%2)==0 && (iK%2)==0) );
-#endif
         addWedgeletToList( cTempWedgelet, racWedgeList, racWedgeRefList );
       }
     }
-#if SHARP_DMM_CLEAN_K0042
     }
     else
@@ -807,5 +792,4 @@
     }
     posStart = posEnd;
-#endif
   }
 
Index: trunk/source/Lib/TLibCommon/TComRom.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComRom.h	(revision 1196)
@@ -290,11 +290,11 @@
 
 #if H_MV_ENC_DEC_TRAC
-#define DTRACE_CU(x,y)             
-#define DTRACE_PU(x,y)             
-#define DTRACE_TU(x,y)             
-
-#define DTRACE_CU_S(x)             
-#define DTRACE_PU_S(x)             
-#define DTRACE_TU_S(x)             
+#define DTRACE_CU(x,y) ;             
+#define DTRACE_PU(x,y) ;            
+#define DTRACE_TU(x,y) ;            
+
+#define DTRACE_CU_S(x) ;            
+#define DTRACE_PU_S(x) ;            
+#define DTRACE_TU_S(x) ;            
 
 #endif
